Loading...
Searching...
No Matches
Halide::Internal::IRGraphDeepCompare Struct Reference

A compare struct built around graph_less_than, for use as the comparison object in a std::map or std::set. More...

`#include <IREquality.h>`

## Public Member Functions

bool | operator() (const IRHandle &a, const IRHandle &b) const

## Detailed Description

A compare struct built around graph_less_than, for use as the comparison object in a std::map or std::set.

Definition at line 154 of file IREquality.h.

## Member Function Documentation

## operator()()

bool Halide::Internal::IRGraphDeepCompare::operator() | ( | const IRHandle & | a,
|  | const IRHandle & | b ) const

inline

Definition at line 155 of file IREquality.h.

References Halide::Internal::graph_less_than().

The documentation for this struct was generated from the following file:

- src/IREquality.h